 //
// J1850 protocol converter
// Controller Freescale MC9S12DJ64 and interface chip MC33390
// Compiler CodeWarrior IDE version 5.7.0
//
// Juha Niinikoski 22.05.2007
//



// J1850 Converter Board constants
// 21.05.2007 / Juha Niinikoski

#define LED_PORT PORTA
#define LD1 (1<<1)      // Red LED
#define LD2 (1<<0)      // Green LED


#define SW12_PORT PTIP
#define SW1 (1<<5)
#define SW2 (1<<4)

#define SW34_PORT PORTB
#define SW3 (1<<5)
#define SW4 (1<<4)


#define DDRA_INIT 0x1F  // J4 = inputs, LEDs = outputs
#define PORTA_INIT 0

#define DDRB_INIT 0xCF  // SW3, SW4 inputs, others = outputs
#define PORTB_INIT 0

#define DDRT_INIT 0xFF  // LCD Data port, all outputs
#define PTT_INIT  0

#define DDRP_INIT 0xCF  // SW1, SW2 inputs, LCD controls = outputs
#define PTP_INIT 0

#define DDRM_INIT 0xF6  // MC33390 control
#define PTM_INIT 0

// MC33390 control bits
#define MC33390_CONTROL_PORT PTM    // control bits poer
#define MC33390_SLEEP (1<<4)        // transceiver sleep bit

#define MC33390_LOOP_PORT DDRM      // Loop Back control port, Tri State !
#define MC33390_LOOP_BACK (1<<3)    // Loop Back control bit 

// LCD definitions
// 2 * 16 LCD display memory layout

#define LINE1     0x00         				/* line 1 start address */
#define LINE2     0x40         				/* line 2 start address */

#define CURSET    0x80        				/* set memory cursor */
#define	CLEAR	    0x01						    /* clear display */
#define ADRSET	  0x40						    /* set cgram address */


// LCD signals
#define LCD_CONTROL PTP       // LCD Control port
#define LCD_E	  (1<<0)  			// LCD E signal
#define LCD_RW	(1<<1)			  // LCD R/W signal
#define LCD_RS	(1<<2)			  // LCD RS signal

#define LCD_BL  (1<<3)        // LCD back light switch


#define LCD_DATA	PTT			    // LCD 8-bit data bus out register
#define LCD_BUS		PTIT			  // LCD 8-bit data bus state
#define LCD_TRIS	DDRD		  	// LCD data direction 

