//
// Simple LCD driver for 9s12DJ64 controller
// module definitions
//
// Juha Niinikoski 22.05.2007
//


// Global variables

extern char lcdpbuff[20];                         // sprintf buffer for LCD printouts
extern int lcdbuff_len;                           // buffer fill length


// Global functions

extern void us_delay(unsigned int delay);          // microsedond delay
extern void ms_delay(unsigned int delay);          // millisecond delay 


extern void set_cur_lcd(unsigned char cur);       // set cursor position
extern void clear_lcd(void);                      // clear display
extern void initlcd(void);                        // init LCD controller

extern void lcd_putch(char);                      // print one character
extern void lcd_putst(const char *str);           // print null terminated string
extern void lcd_putbuf(char *str, int len);       // print n character string
extern void lcd_putchhex(unsigned char);          // print HEX character

extern void lcd_putulong(unsigned long);          // partial (7-digit) long
extern void lcd_putu_4_int(unsigned int);         // partial uint, max 9999
extern void lcd_put_3_int(int);                   // partial int, min -99, max 999  
extern void lcd_putu_3_char(unsigned char);       // unsigned char, 3 digits
extern void lcd_putu_2_char(unsigned char);       // unsigned char, 2 digits max 99